#!/bin/bash

source setup.bash silent
source cascade-make/lib/cascade-lib.bash


# Ensure that the necessary directories exist within the 'installed' area

for d in include lib ; do
  if [ ! -e "$RBHOME_INSTALLED/$d" ] ; then
    echo "Creating $RBHOME_INSTALLED/$d"
    mkdir -p "$RBHOME_INSTALLED/$d"
  fi
done


for d in packages ; do
  echo "Running $d/CASCADE-MAKE.sh $*"

  (cd $d ; ./CASCADE-MAKE.sh $*)

  if [ $? != 0 ] ; then
    echo "Error encountered running $d/CASCADE-MAKE.sh"
    exit 1
  fi
done

if [ $install = "1" ] ; then

  if [ ! -e "$RBHOME_INSTALLED/bin/script" ] ; then
    echo "Creating $RBHOME_INSTALLED/bin/script"
    mkdir "$RBHOME_INSTALLED/bin/script"
  fi

  /bin/cp src/pdf2realbook.pl "$RBHOME_INSTALLED/bin/script/."
  chmod a+x "$RBHOME_INSTALLED/bin/script/pdf2realbook.pl"

  # Configure CGI files

  rbfile="cgi-bin/rbsite.cfg"
  echo "Setting rbhome to $REALISTIC_BOOKS_HOME in $rbfile"
  cat "$rbfile.in" \
    | sed "s@\*\*RBHOME\*\*@$REALISTIC_BOOKS_HOME@g" \
    > "$rbfile"

  perlbin=`which perl 2>/dev/null`
  if [ $? == "0" ] ; then
    cgifile="cgi-bin/make-realbook.cgi"
    echo "Setting PERLBIN to $perlbin in $cgifile"
    cat "$cgifile.in" \
      | sed "s@\*\*PERLBIN\*\*@$perlbin@g" \
      > "$cgifile"
  else
    echo "Unable to find perl on PATH.  Failed to set PERLBIN in $cgifile"
  fi 

fi

